@media (min-width: 768px) and (max-width: 100000000px) {
    .hidden-custom {
        display: none !important;
    }
    .hidden-custom-top {
        display: none !important;
    }
    .data-dialog {
        width:1024px; 
        height:800px;
    }
}

@media (max-width: 767px) {
    .show-xs {
        display: block !important;
    }
    .big-dialog {
        width:100%; 
        height:800px;
    }
}

/*Google Map Selector Styles*/
#google_map {
    height: 600px;
    width: 900px;
}

.controls {
    margin-top: 10px;
    border: 1px solid transparent;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 32px;
    outline: none;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin-left: 12px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 300px;
}

#pac-input:focus {
    border-color: #4d90fe;
}

.pac-container {
    font-family: Roboto;
}

#type-selector {
    color: #fff;
    background-color: #4d90fe;
    padding: 5px 11px 0px 11px;
}

#type-selector label {
    font-family: Roboto;
    font-size: 13px;
    font-weight: 300;
}

.modal-content {
    left: 25%;
    top: 25%;
    position: fixed;
    background-color: #fefefe;
    padding: 0;
    border: 1px solid #888;
    width: 940px;
    height: 640px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    /*        -webkit-animation-name: animatetop;
            -webkit-animation-duration: 4s;
            animation-name: animatetop;
            animation-duration: 4s*/
}

/*    @-webkit-keyframes animatetop {
        from {
            top: -900px;
            opacity: 0
        }
        to {
            top: 0;
            opacity: 1
        }
    }

    @keyframes animatetop {
        from {
            top: -900px;
            opacity: 0
        }
        to {
            top: 0;
            opacity: 1
        }
    }*/

.close {
    color: whitesmoke;
    background-color: #000080;
    float: right;
    font-size: 20px;
    font-weight: bold;
    padding: 1px;
    border: 1px solid #333333;
    border-radius: 5px;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 16px;
    background-color: #93a1a1;
    color: white;
}

.modal-body {
    padding: 2px 16px;
    background-color: white;
    color: black;
}

.modal-footer {
    padding: 2px 16px;
    background-color: #a8c9ff;
    color: white;
}

/* Start by setting display:none to make this hidden.
Then we position it in relation to the viewport window
with position:fixed. Width, height, top and left speak
for themselves. Background we set to 80% white with
our animation centered, and no-repeating */
.modal {
    display:    none;
    position:   fixed;
    z-index:    9999999999;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .5 )
        url('http://i.stack.imgur.com/FhHRx.gif') 
        50% 50% 
        no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .modal {
    overflow: hidden;   
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .modal {
    display: block;
}

.input-icon {
    position: relative;
}

.input-icon > i {
    position: absolute;
    display: block;
    transform: translate(0, -50%);
    top: 50%;
    pointer-events: none;
    width: 25px;
    text-align: center;
    font-style: normal;
}

.input-icon > input {
    padding-left: 25px;
    padding-right: 0;
}

.input-icon-right > i {
    right: 0;
}

.input-icon-right > input {
    padding-left: 0;
    padding-right: 25px;
    text-align: right;
}

/*Float Button*/
#backFloatButton {
    display: none;
    position: fixed;
    bottom: 30px;
    right: 5px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: red;
    color: white;
    cursor: pointer;
    padding-top: 15px;
    padding-left: 15px;
    padding-bottom: 15px;
    padding-right: 5px;
    border-radius: 5px;
}

#backFloatButton:hover {
    background-color: #555;
}

textarea {
    min-width: 100%;
    max-width: 100%;
    width: 100%;
    resize: both;
}

@media screen and (max-width: 1130px) {
    .modal-content {
        left: 0;
        top: 80px;
        position: fixed;
        background-color: #fefefe;
        padding: 0;
        border: 1px solid #888;
        width: 100%;
        height: 80%;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        /*        -webkit-animation-name: animatetop;
                -webkit-animation-duration: 4s;
                animation-name: animatetop;
                animation-duration: 4s*/
    }

    .modal-body {
        padding: 2px 16px;
        background-color: white;
        color: black;
        width: 100%;
        height: 100%;
    }

    #google_map {
        width: 100%;
        height: 95%;
    }
}